Bug 987524 - Hotrod clients getWithMetadata doesn't work with dist/repl cache
Summary: Hotrod clients getWithMetadata doesn't work with dist/repl cache
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER1
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-23 14:53 UTC by Jakub Markos
Modified: 2013-10-07 00:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-3330 0 Minor Resolved Hotrod clients getWithMetadata doesn't work when locking isolation != NONE 2017-03-03 13:46:35 UTC

Description Jakub Markos 2013-07-23 14:53:17 UTC
Please see the linked JIRA for more information.

Comment 2 JBoss JIRA Server 2013-09-05 14:51:20 UTC
Galder Zamarreño <galder.zamarreno> updated the status of jira ISPN-3330 to Coding In Progress

Comment 3 JBoss JIRA Server 2013-09-16 18:11:17 UTC
Adrian Nistor <anistor> made a comment on jira ISPN-3330

Besides isolation level validation (which is ok) this PR also tries to validate key and value equivalence by constraining them to be able to compare byte[]. This is wrong for all caches that are not supposed to be accessed remotely, for example metadata caches spawned by query. These (especially if infinispan directory is used) do not have byte[] keys and values so the validation is not meaningful to them. Since we cannot know at this moment which caches are going to be accessed remotely I will remove this validation.


Note You need to log in before you can comment on or make changes to this bug.